import { Observable, Subject } from 'rxjs';
import type SDK from '../';
import subscribe from './subscribe';
import unsubscribe from './unsubscribe';
import { ChainId, MultiChainOptions, EthereumTransactionData, SDKError } from '../types';
declare class MultiChain {
    apiKey: string;
    ws?: any;
    apiUrl: string;
    connections: Record<ChainId, SDK | null>;
    transactions$: Observable<EthereumTransactionData>;
    errors$: Subject<SDKError>;
    subscribe: typeof subscribe;
    unsubscribe: typeof unsubscribe;
    Blocknative: typeof SDK;
    protected onTransaction$: Subject<EthereumTransactionData>;
    constructor(options: MultiChainOptions, Blocknative: typeof SDK);
}
export default MultiChain;
